<?php
include('/home/devworks/public_html/auanews/config/auanews.config.php');

$sql = $conecta->query("SELECT identificador, arquivo FROM publicacoes WHERE id = '".$_GET['id']."'");
while ($consulta = $sql->fetch_assoc()){
// Base64 do PDF
$pdf_base64 = $consulta['arquivo'];
$identificador = $consulta['identificador'];}

// Decodificar base64 para binário
$pdf_binary = base64_decode($pdf_base64);

// Caminho onde o arquivo PDF será salvo
$filename = 'auanews_'.$identificador.'_'.date("Y-m-d_H-i-s").'.pdf';

// Salvar o arquivo no servidor
file_put_contents($filename, $pdf_binary);

// Enviar o arquivo para download
header('Content-Type: application/pdf');
header('Content-Disposition: attachment; filename="'.$filename.'"');
header('Content-Length: ' . filesize($filename));
readfile($filename);

// Remover o arquivo do servidor (opcional)
unlink($filename);
?>
<meta http-equiv="refresh" content="0; URL='<?php echo URL_BASE; ?>'controle/publicacoes/<?php echo $_GET['pag']; ?>"/>
